From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-libs/gtkglext/
Date: Sun, 15 Jan 2017 04:49:52 +0000 (UTC) [thread overview]
Message-ID: <1484455566.b100df42beea5945b202c792b7e4422dd2f38977.leio@gentoo> (raw)
commit: b100df42beea5945b202c792b7e4422dd2f38977
Author: Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 15 04:46:06 2017 +0000
Commit: Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun Jan 15 04:46:06 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b100df42
x11-libs/gtkglext: Remove unnecessary pango[X] USE depend
Surprisingly gtkglext doesn't actually use pangoxft, only pangox
(which got moved to pangox-compat legacy package long ago even
upstream).
Package-Manager: Portage-2.3.3, Repoman-2.3.1
x11-libs/gtkglext/gtkglext-1.2.0-r4.ebuild | 66 ++++++++++++++++++++++++++++++
1 file changed, 66 insertions(+)
diff --git a/x11-libs/gtkglext/gtkglext-1.2.0-r4.ebuild b/x11-libs/gtkglext/gtkglext-1.2.0-r4.ebuild
new file mode 100644
index 00000000..2dd1ff1
--- /dev/null
+++ b/x11-libs/gtkglext/gtkglext-1.2.0-r4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+GNOME2_LA_PUNT="yes"
+inherit autotools gnome2 multilib-minimal
+
+DESCRIPTION="GL extensions for Gtk+ 2.0"
+HOMEPAGE="http://gtkglext.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND=">=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+ >=x11-libs/gtk+-2.24.23:2[${MULTILIB_USEDEP}]
+ >=x11-libs/pango-1.36.3[${MULTILIB_USEDEP}]
+ || (
+ >=x11-libs/pangox-compat-0.0.2[${MULTILIB_USEDEP}]
+ <x11-libs/pango-1.31[X,${MULTILIB_USEDEP}]
+ )
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXmu-1.1.1-r1[${MULTILIB_USEDEP}]
+ >=virtual/glu-9.0-r1[${MULTILIB_USEDEP}]
+ >=virtual/opengl-7.0-r1[${MULTILIB_USEDEP}]"
+DEPEND="${RDEPEND}
+ >=sys-devel/autoconf-archive-2014.02.28
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]"
+
+src_prepare() {
+ # Ancient configure.in with broken multilib gl detection (bug #543050)
+ # Backport some configure updates from upstream git master to fix
+ epatch "${FILESDIR}/${P}-gl-configure.patch"
+ mv configure.{in,ac} || die "mv failed"
+ eautoreconf
+
+ gnome2_src_prepare
+
+ # Remove development knobs, bug #308973
+ sed -i 's:-D\(G.*DISABLE_DEPRECATED\):-D__\1__:g' \
+ examples/Makefile.am examples/Makefile.in \
+ gdk/Makefile.am gdk/Makefile.in \
+ gdk/win32/Makefile.am gdk/win32/Makefile.in \
+ gdk/x11/Makefile.am gdk/x11/Makefile.in \
+ gtk/Makefile.am gtk/Makefile.in \
+ || die "sed failed"
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --disable-static
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+multilib_src_install_all() {
+ local DOCS="AUTHORS ChangeLog* NEWS README TODO"
+ einstalldocs
+}
next reply other threads:[~2017-01-15 4:49 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-01-15 4:49 Mart Raudsepp [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-01-15 4:49 [gentoo-commits] repo/gentoo:master commit in: x11-libs/gtkglext/ Mart Raudsepp
2017-02-11 18:31 Pacho Ramos
2017-02-17 10:56 Agostino Sarubbo
2017-02-18 14:44 Agostino Sarubbo
2017-02-21 9:16 Tobias Klausmann
2017-02-24 14:07 Agostino Sarubbo
2017-02-24 21:29 Michael Weber
2017-03-16 13:24 Jeroen Roovers
2017-07-11 8:41 Alexis Ballier
2017-10-30 22:26 Mart Raudsepp
2018-10-06 22:37 Mart Raudsepp
2019-05-16 19:30 Aaron Bauman
2020-02-09 12:24 Mart Raudsepp
2020-09-27 17:52 Andreas Sturmlechner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1484455566.b100df42beea5945b202c792b7e4422dd2f38977.leio@gentoo \
--to=leio@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox